#ifndef BASEOBJECT_H
#define BASEOBJECT_H

#include <QObject>
#include <QJsonObject>
#include <QVariant>
#include <QMetaProperty>

class BaseObject : public QObject
{
    Q_OBJECT
public:
    BaseObject(QObject *parent=0)
        :QObject(parent){}

    BaseObject(BaseObject const&, QObject *parent=0);
    BaseObject &operator =(BaseObject const&);

    /* 功能:从Json对象初始化属性值
     * 参数:[1]JSon对象
     * 返回:NULL
     * */
    void FetchDataFromJson(const QJsonObject& json);
};

#endif // BASEOBJECT_H
